package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.CphLakeApply;
import com.srs.comprehensive.domain.Dto.CphAuditMany;
import com.srs.comprehensive.domain.Dto.CphCancel;
import com.srs.comprehensive.domain.Vo.CphLakeApplyVo;
import com.srs.comprehensive.domain.Vo.CphSearch;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 静湖之星申请Service接口
 *
 * @author srs
 * @date 2023-10-31
 */
public interface ICphLakeApplyService extends IService<CphLakeApply> {

    public AjaxResult manyAudit(CphAuditMany param);
    public AjaxResult doAudit(CphLakeApply param);
    public AjaxResult reApplyLake(CphLakeApply param);
    public AjaxResult applyTen(CphLakeApply param);
    public AjaxResult applyLake(CphLakeApply param);
    public AjaxResult cancelOwnApply(CphCancel param);

    public List<CphLakeApplyVo> listView(CphSearch param);
    public List<CphLakeApplyVo> exportView(CphSearch param);

    /**
     * 查询静湖之星申请
     *
     * @param id 静湖之星申请主键
     * @return 静湖之星申请
     */
    public CphLakeApply selectCphLakeApplyById(Long id);

    /**
     * 查询静湖之星申请列表
     *
     * @param cphLakeApply 静湖之星申请
     * @return 静湖之星申请集合
     */
    List<CphLakeApply> selectCphLakeApplyList(CphLakeApply cphLakeApply);

    /**
     * 新增静湖之星申请
     *
     * @param cphLakeApply 静湖之星申请
     * @return 结果
     */
    int insertCphLakeApply(CphLakeApply cphLakeApply);

    /**
     * 修改静湖之星申请
     *
     * @param cphLakeApply 静湖之星申请
     * @return 结果
     */
    int updateCphLakeApply(CphLakeApply cphLakeApply);

    /**
     * 批量删除静湖之星申请
     *
     * @param ids 需要删除的静湖之星申请主键集合
     * @return 结果
     */
    int deleteCphLakeApplyByIds(Long[] ids);

    /**
     * 删除静湖之星申请信息
     *
     * @param id 静湖之星申请主键
     * @return 结果
     */
    int deleteCphLakeApplyById(Long id);
}
